GridFire v0.7.1_rc2 General Purpose Nuclear Network

Loading...
Searching...
No Matches
List of all members
gridfire::exceptions::SingularJacobianError Class Referencefinal

Exception thrown when the Jacobian matrix is singular. More...

`#include <error_solver.h>`

Inheritance diagram for gridfire::exceptions::SingularJacobianError:
[legend]
Collaboration diagram for gridfire::exceptions::SingularJacobianError:
[legend]

## Additional Inherited Members
Public Member Functions inherited from gridfire::exceptions::GridFireError
| GridFireError (std::string msg)
const char * | what () const noexcept override

## Detailed Description

Exception thrown when the Jacobian matrix is singular.

This exception is thrown when the solver encounters a singular Jacobian matrix, which prevents it from proceeding with the solution of the system.

The documentation for this class was generated from the following file:

- src/include/gridfire/exceptions/error_solver.h